Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5041 - Kickstart dynamic partition assignment leaves /boot out of range
Summary: Kickstart dynamic partition assignment leaves /boot out of range
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-10 08:30 UTC by Andrew Macpherson
Modified: 2015-01-07 23:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 13:06:33 UTC


Attachments (Terms of Use)

Description Andrew Macpherson 1999-09-10 08:30:15 UTC
Built a kickstart file, relevent portion
=====================================
zerombr no
clearpart --linux
part / --size 60
part swap --size 127
part /usr --size 600
part /usr/local --size 200
part /var --size 105
part /home --size 1 --grow
install
=================================================

And ran this on a 2G scsi disk (on a SparcStation 2)

This built partitions:

sda1 /var
sda2 swap
sda3 -- Whole disk -- untouched
sda4 /usr               \ Might have the order of these 2
sda5 /usr/local         / transposed
sda6 /
sda7 /home

/ on sda6 unfortunately starts more than 1024 M into the
disk so SILO fails, and when one switches Alt-F2 to try to
run by hand, "silo -r /mnt" one gets a rather obscure error
about /boot/second.b

Workaround was of course to leave /usr/local for the %post
phase, dividing a larger /home

Comment 1 Jay Turner 2000-02-08 13:06:59 UTC
We have introduced new arguments to kickstart which allow you to specify the
partition on which to create a certain mount point.  This will solve the problem
you are seeing in this report.


Note You need to log in before you can comment on or make changes to this bug.